#include <stdio.h>

FILE *getfp(fptype)
char *fptype;
{
char string[60];
FILE *fp;

  do
  { printf("\nFile name: ");
    scanf("%s%*c",string);
    fp=fopen(string,fptype);
    if(fp==NULL) printf("File %s cannot be opened, please try again.",string);
  } while(fp==NULL);
  
  return(fp);
}

/* get character from stdin till '\n' is met; return # of characters */

int getrecord(s)
char *s;
{
int i;
char c;
	i=0;
	do
	{ scanf("%c",&c);
	  if(c=='\n') break;
	  s[i++]=c;
	} while(c!='\n');
	s[i]='\0';
	return(i);
}

void stop(char *message){
  printf("\n\a <error> %s\n",message);
  exit(-1);
}

void usage(char *message){
  printf("\n\a usage : <%s>\n",message);
  exit(-1);
}

void warning(char *message){
  printf("\n\a <warning> %s\n",message);
}
